<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/hwa/include/reg_dsshwacc.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_44930cbd7b83789e9d19a7ba45b9aa03.html">hwa</a></li><li class="navelem"><a class="el" href="dir_b422e730d2df5eb51986f546947a31ed.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">reg_dsshwacc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file gives register definitions of DSS_HW_ACC module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhwa_max_stats.html">hwaMaxStats</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware accelerator stats Register Definition.  <a href="structhwa_max_stats.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_d_s_s_h_w_a_c_c_regs__t.html">DSSHWACCRegs_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Module DSS_HW_ACC Register Definition.  <a href="struct_d_s_s_h_w_a_c_c_regs__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a2c0deb67c66b1dbf00e8f97ffbe43d51"><td class="memItemLeft" align="right" valign="top">typedef volatile struct <a class="el" href="structhwa_max_stats.html">hwaMaxStats</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="reg__dsshwacc_8h.html#a2c0deb67c66b1dbf00e8f97ffbe43d51">hwaMaxStats_t</a></td></tr>
<tr class="memdesc:a2c0deb67c66b1dbf00e8f97ffbe43d51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware accelerator stats Register Definition.  <a href="#a2c0deb67c66b1dbf00e8f97ffbe43d51">More...</a><br /></td></tr>
<tr class="separator:a2c0deb67c66b1dbf00e8f97ffbe43d51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2191e9a4eac24e7e1fe29f3f5423bce"><td class="memItemLeft" align="right" valign="top">typedef volatile struct <a class="el" href="struct_d_s_s_h_w_a_c_c_regs__t.html">DSSHWACCRegs_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="reg__dsshwacc_8h.html#ae2191e9a4eac24e7e1fe29f3f5423bce">DSSHWACCRegs</a></td></tr>
<tr class="memdesc:ae2191e9a4eac24e7e1fe29f3f5423bce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Module DSS_HW_ACC Register Frame type Definition.  <a href="#ae2191e9a4eac24e7e1fe29f3f5423bce">More...</a><br /></td></tr>
<tr class="separator:ae2191e9a4eac24e7e1fe29f3f5423bce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file gives register definitions of DSS_HW_ACC module. </p>
<p>This file is auto-generated on 3/17/2017. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ae2191e9a4eac24e7e1fe29f3f5423bce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="reg__dsshwacc_8h.html#ae2191e9a4eac24e7e1fe29f3f5423bce">DSSHWACCRegs</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Module DSS_HW_ACC Register Frame type Definition. </p>
<p>This type is used to access the DSS_HW_ACC module registers. </p>

</div>
</div>
<a class="anchor" id="a2c0deb67c66b1dbf00e8f97ffbe43d51"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="reg__dsshwacc_8h.html#a2c0deb67c66b1dbf00e8f97ffbe43d51">hwaMaxStats_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hardware accelerator stats Register Definition. </p>
<p>This structure is used to access the Hardware accelerator stats registers within the common space. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
